View Issue Details

IDProjectCategoryView StatusLast Update
0011404mantisbtbugtrackerpublic2014-12-08 00:34
ReporterdhxAssigned Todhx 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.2.0 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0011404: Record dropping of bug revisions in bug history
Description

When dropping bug revisions (bugnotes, description, steps to reproduce and additional information) we should be recording this event in the bug history. This maintains an audit log of who and at what time revision data was permanently deleted.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
related to 0011727 closeddhx "APPLICATION ERROR #1100 when clicking on a link which points to a already deleted note 

Activities

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036516

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 14a00b72

2010-01-17 11:39:09

dhx

Details Diff
Issue 0011404: Record dropping of bug revisions in bug history

When dropping bug revisions (bugnotes, description, steps to reproduce
and additional information) we should be recording this event in the bug
history. This maintains an audit log of who and at what time revision
data was permanently deleted.

This commit also fixes an issue whereby links in the history were still
shown for bug revisions that had been dropped. Users would thus click a
link to come across a 'revision not found' error message.
mod - core/bug_revision_api.php Diff File
mod - core/constant_inc.php Diff File
mod - core/history_api.php Diff File
mod - lang/strings_english.txt Diff File

MantisBT: master-1.2.x b81d2302

2010-03-31 06:09:35

dhx

Details Diff
Issue 0011404: Record dropping of bug revisions in bug history

This patch has been backported from the 1.3.x branch in accordance with
issue 0011727.

When dropping bug revisions (bugnotes, description, steps to reproduce
and additional information) we should be recording this event in the bug
history. This maintains an audit log of who and at what time revision
data was permanently deleted.

This commit also fixes an issue whereby links in the history were still
shown for bug revisions that had been dropped. Users would thus click a
link to come across a 'revision not found' error message.
mod - core/bug_revision_api.php Diff File
mod - lang/strings_english.txt Diff File
mod - core/constant_inc.php Diff File
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2010-01-17 05:23 dhx New Issue
2010-01-17 05:23 dhx Status new => assigned
2010-01-17 05:23 dhx Assigned To => dhx
2010-01-17 07:22 dhx Status assigned => resolved
2010-01-17 07:22 dhx Fixed in Version => 1.3.0-beta.1
2010-01-17 07:22 dhx Resolution open => fixed
2010-01-17 07:30 dhx Changeset attached master 14a00b72 =>
2010-03-31 02:04 dhx Relationship added related to 0011727
2010-03-31 02:20 dhx Changeset attached master-1.2.x b81d2302 =>
2010-04-23 23:23 dhx Status resolved => closed
2013-04-05 17:57 grangeway Status closed => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036516
2013-04-05 18:04 grangeway Relationship added related to 0015721
2013-04-06 03:44 dregad Status acknowledged => resolved
2013-04-06 07:20 grangeway Status resolved => acknowledged
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed